# DXGfxLib.Water2 Class Reference

Inherits DXGfxLib::SceneObject, and DXGfxLib::SceneObject.

Collaboration diagram for DXGfxLib.Water2:

[legend]

List of all members.

## Public Member Functions
| Water2 ()
override void | Initialize ()
| Water2 (float dim)
override void | GetPrepared ()
| Currently this method is used only in classes deriving from SceneNode which also have to load ressources (most of the time DX Resources). So at the moment this is used only after loading a scene but it could potentially be use when you want parts of your scene to be ready for rendering.
override void | LoadFromFile (Device d3ddevice, string fileName)
| Use this method to populate Vertex Buffer and Index Buffer to be used to render water.
override void | Update (Frustrum frustrum, double appTime, float elapsedTime)
| The update method does pretty much what it does for a scene node except that here we also use the local bbox to calculate the bounding box.
void | Render (Device device, Texture refractionTex, Texture reflectionTex)
| Water2 ()
override void | Initialize ()
| Water2 (float dim)
override void | GetPrepared ()
| Currently this method is used only in classes deriving from SceneNode which also have to load ressources (most of the time DX Resources). So at the moment this is used only after loading a scene but it could potentially be use when you want parts of your scene to be ready for rendering.
override void | LoadFromFile (Device d3ddevice, string fileName)
| Use this method to populate Vertex Buffer and Index Buffer to be used to render water.
override void | Update (Frustrum frustrum, double appTime, float elapsedTime)
| The update method does pretty much what it does for a scene node except that here we also use the local bbox to calculate the bounding box.
void | Render (Device device, Texture refractionTex, Texture reflectionTex)
## Public Attributes
VertexBuffer | waterVBuff = null
IndexBuffer | waterIBuff = null
int | numberVertices = 0
int | numberTri = 0
float | desiredDimension = 1000.0f

## Detailed Description

Definition at line 28 of file Water2.cs.

## Constructor & Destructor Documentation

DXGfxLib.Water2.Water2 | ( |  | ) |

Definition at line 44 of file Water2.cs.

Here is the call graph for this function:

DXGfxLib.Water2.Water2 | ( | float | dim | ) |

Definition at line 54 of file Water2.cs.

Here is the call graph for this function:

DXGfxLib.Water2.Water2 | ( |  | ) |

Definition at line 44 of file Water2.cs.

Here is the call graph for this function:

DXGfxLib.Water2.Water2 | ( | float | dim | ) |

Definition at line 54 of file Water2.cs.

Here is the call graph for this function:

## Member Function Documentation

override void DXGfxLib.Water2.GetPrepared | ( |  | ) | `[virtual]`

Currently this method is used only in classes deriving from SceneNode which also have to load ressources (most of the time DX Resources). So at the moment this is used only after loading a scene but it could potentially be use when you want parts of your scene to be ready for rendering.

Reimplemented from DXGfxLib.SceneNode.

Definition at line 59 of file Water2.cs.

Here is the call graph for this function:

override void DXGfxLib.Water2.GetPrepared | ( |  | ) | `[virtual]`

Currently this method is used only in classes deriving from SceneNode which also have to load ressources (most of the time DX Resources). So at the moment this is used only after loading a scene but it could potentially be use when you want parts of your scene to be ready for rendering.

Reimplemented from DXGfxLib.SceneNode.

Definition at line 59 of file Water2.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

override void DXGfxLib.Water2.Initialize | ( |  | ) | `[virtual]`

Reimplemented from DXGfxLib.SceneObject.

Definition at line 49 of file Water2.cs.

override void DXGfxLib.Water2.Initialize | ( |  | ) | `[virtual]`

Reimplemented from DXGfxLib.SceneObject.

Definition at line 49 of file Water2.cs.

Here is the caller graph for this function:

override void DXGfxLib.Water2.LoadFromFile | ( | Device | d3ddevice,
|  | string | fileName |
| ) |  |  | `[virtual]`

Use this method to populate Vertex Buffer and Index Buffer to be used to render water.

Parameters:

  | d3ddevice |

Reimplemented from DXGfxLib.SceneObject.

Definition at line 88 of file Water2.cs.

override void DXGfxLib.Water2.LoadFromFile | ( | Device | d3ddevice,
|  | string | fileName |
| ) |  |  | `[virtual]`

Use this method to populate Vertex Buffer and Index Buffer to be used to render water.

Parameters:

  | d3ddevice |

Reimplemented from DXGfxLib.SceneObject.

Definition at line 88 of file Water2.cs.

Here is the caller graph for this function:

void DXGfxLib.Water2.Render | ( | Device | device,
|  | Texture | refractionTex,
|  | Texture | reflectionTex |
| ) |  |  |

Definition at line 211 of file Water2.cs.

void DXGfxLib.Water2.Render | ( | Device | device,
|  | Texture | refractionTex,
|  | Texture | reflectionTex |
| ) |  |  |

Definition at line 211 of file Water2.cs.

Here is the caller graph for this function:

override void DXGfxLib.Water2.Update | ( | Frustrum | frustrum,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

The update method does pretty much what it does for a scene node except that here we also use the local bbox to calculate the bounding box.

Parameters:

  | frustrum |
  | appTime |
  | elapsedTime |

Reimplemented from DXGfxLib.SceneObject.

Definition at line 204 of file Water2.cs.

override void DXGfxLib.Water2.Update | ( | Frustrum | frustrum,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

The update method does pretty much what it does for a scene node except that here we also use the local bbox to calculate the bounding box.

Parameters:

  | frustrum |
  | appTime |
  | elapsedTime |

Reimplemented from DXGfxLib.SceneObject.

Definition at line 204 of file Water2.cs.

Here is the caller graph for this function:

## Member Data Documentation

float DXGfxLib.Water2::desiredDimension = 1000.0f

Definition at line 42 of file Water2.cs.

int DXGfxLib.Water2::numberTri = 0

Definition at line 35 of file Water2.cs.

int DXGfxLib.Water2::numberVertices = 0

Definition at line 34 of file Water2.cs.

IndexBuffer DXGfxLib.Water2::waterIBuff = null

Definition at line 31 of file Water2.cs.

VertexBuffer DXGfxLib.Water2::waterVBuff = null

Definition at line 30 of file Water2.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/Water2.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/Water2.cs